from setuptools import setup, find_packages

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setup(
    name="tano-shield",
    version="0.1.0",
    author="Tano Labs",
    author_email="security@tanolabs.com",
    description="API client for Tano Shield AI security services",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/tanolabs/tano-shield-py",
    packages=["tano_shield", "tano_shield.core", "tano_shield.firewall", "tano_shield.pii"],
    classifiers=[
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.10",
    install_requires=[
        "requests>=2.25.0",
    ],
    keywords=[
        "ai",
        "security",
        "firewall",
        "pii",
        "redaction",
        "tano",
        "shield"
    ],
)